Bug 45317 - DeltaManager always reports default timeout value for receiving session state on startup
DeltaManager always reports default timeout value for receiving session state...
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Cluster
6.0.16
PC Linux
: P5 trivial (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-07-01 07:50 UTC by Viktor Radnai
Modified: 2009-07-01 12:35 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Viktor Radnai 2008-07-01 07:50:35 UTC
Hi there,

If I override the state transfer timeout:
          <Manager className="org.apache.catalina.ha.session.DeltaManager"
                   stateTransferTimeout="10"
                   expireSessionsOnShutdown="false"
                   notifyListenersOnReplication="true"/>

DeltaManager continues to log the default timeout value (ie: "This operation will timeout if no session state has been received within 60 seconds."):

2008-07-01 14:31:30,419 WARN [org.apache.catalina.ha.session.DeltaManager] - Manager [localhost#/manager], requesting session state from org.apache.catalina.tribes.membership.MemberImpl[tcp://{10, -64, 104, -55}:15000,{10, -64, 104, -55},15000, alive=18586,id={-62 91 -70 -63 -111 50 70 -33 -104 41 -48 -32 91 34 -83 -55 }, payload={}, command={}, domain={}, ]. This operation will timeout if no session state has been received within 60 seconds. 
2008-07-01 14:31:35,310 WARN [org.apache.catalina.ha.ClusterListener] - Context manager doesn't exist:localhost#/host-manager 

But it actually uses the correct timeout value (ie: "timing out after 10,100 ms"):

2008-07-01 14:31:40,518 ERROR [org.apache.catalina.ha.session.DeltaManager] - Manager [localhost#/manager]: No session state send at 01/07/08 14:31 received, timing out after 10,100 ms. 

This is only an incorrect message, but it is quite annoying especially coupled with the fact that the above configuration is only documented for tomcat 5 (where syntax is subtly different).
Comment 1 Filip Hanik 2008-07-02 13:42:27 UTC
This has been fixed in trunk, and a backport has been proposed to 6.0.x branch.
thanks for the report

http://svn.apache.org/viewvc?rev=673487&view=rev 


Filip
Comment 2 Filip Hanik 2008-07-08 02:46:14 UTC
Fixed in 6.0.x branch, will be available in 6.0.18 onwards
Comment 3 Rainer Jung 2009-07-01 12:35:26 UTC
Applied as r790339 to TC 5.5 as well.
Will be part of 5.5.28.